KIO Link
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
  1. API Keys
  • Auth
    • Sign In
      • Sign in with username
    • Session
      • Sign out
    • API Keys
      • Create my API key
        POST
      • List my API keys
        GET
      • Get my API key
        GET
      • Update my API key
        POST
      • Delete my API key
        POST
  • BMS
    • North
      • Get latest device data
      • Get latest alarms
      • Get EcoStruxure data
      • List devices
      • Count points
      • Count points per device
  • Schemas
    • Auth
      • SystemRole
      • OrganizationRole
      • OtpType
      • User
      • Session
      • SessionWithUser
      • TokenWithUser
      • SignInResponse
      • TwoFactorChallenge
      • AccountSummary
      • Passkey
      • WebAuthnCredential
      • ApiKey
      • ApiKeyWithSecret
      • Organization
      • Member
      • MemberWithUser
      • FullOrganization
      • OrganizationPermissions
      • SystemPermissions
      • PermissionCheckResult
    • BMS
      • ServiceDescriptor
      • SiteStatus
      • DeviceListRequest
      • LegacyDeviceListError
      • DeviceListResponse
      • DevicePoint
      • DeviceSnapshot
      • OnlineDataResponse
      • Alarm
      • OnlineAlarmResponse
      • PointsResponse
      • PointsForDeviceResponse
      • FileIngestionResult
      • EcoStruxureIngestionResult
      • EnteliCloudIngestionAccepted
      • PanelResult
      • PanelError
      • DeviceConnectionFields
      • CreateDeviceConnectionRequest
      • UpdateDeviceConnectionRequest
      • DeviceConnection
      • DeviceConnectionEnvelope
      • DeviceConnectionList
      • EnteliCloudConnectionName
      • CreateEnteliCloudConnectionRequest
      • EnteliCloudConnection
      • EnteliCloudConnectionEnvelope
      • EnteliCloudConnectionList
  1. API Keys

Delete my API key

QA Environment
QA Environment
POST
/api/auth/api-key/delete
Auth/API Keys
Last modified:2026-09-30 05:55:41
Maintainer:José María Esparza Arévalo
Revokes one of the signed-in user's keys.

Request

Authorization
API Key
Add parameter in cookie
kio-link-bms.session_token
Example:
kio-link-bms.session_token: ********************
or
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "keyId": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/auth/api-key/delete' \
--header 'Origin: {{bmsOrigin}}' \
--header 'Content-Type: application/json' \
--data '{
    "keyId": "string"
}'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "success": true
}
🟠400AuthBadRequest
🟠401AuthUnauthorized
🟠403AuthForbidden
🟠429AuthTooManyRequests
Modified at 2026-09-30 05:55:41
Previous
Update my API key
Next
Get latest device data
Built with